Index: branches/2839_HiveProjectManagement/HeuristicLab.Problems.DataAnalysis.Views/3.4/Controls/DensityChart.Designer.cs
===================================================================
--- branches/2839_HiveProjectManagement/HeuristicLab.Problems.DataAnalysis.Views/3.4/Controls/DensityChart.Designer.cs	(revision 15761)
+++ branches/2839_HiveProjectManagement/HeuristicLab.Problems.DataAnalysis.Views/3.4/Controls/DensityChart.Designer.cs	(revision 16057)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2839_HiveProjectManagement/HeuristicLab.Problems.DataAnalysis.Views/3.4/Controls/DensityChart.cs
===================================================================
--- branches/2839_HiveProjectManagement/HeuristicLab.Problems.DataAnalysis.Views/3.4/Controls/DensityChart.cs	(revision 15761)
+++ branches/2839_HiveProjectManagement/HeuristicLab.Problems.DataAnalysis.Views/3.4/Controls/DensityChart.cs	(revision 16057)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2839_HiveProjectManagement/HeuristicLab.Problems.DataAnalysis.Views/3.4/Controls/DensityTrackbar.Designer.cs
===================================================================
--- branches/2839_HiveProjectManagement/HeuristicLab.Problems.DataAnalysis.Views/3.4/Controls/DensityTrackbar.Designer.cs	(revision 15761)
+++ branches/2839_HiveProjectManagement/HeuristicLab.Problems.DataAnalysis.Views/3.4/Controls/DensityTrackbar.Designer.cs	(revision 16057)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2839_HiveProjectManagement/HeuristicLab.Problems.DataAnalysis.Views/3.4/Controls/DensityTrackbar.cs
===================================================================
--- branches/2839_HiveProjectManagement/HeuristicLab.Problems.DataAnalysis.Views/3.4/Controls/DensityTrackbar.cs	(revision 15761)
+++ branches/2839_HiveProjectManagement/HeuristicLab.Problems.DataAnalysis.Views/3.4/Controls/DensityTrackbar.cs	(revision 16057)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2839_HiveProjectManagement/HeuristicLab.Problems.DataAnalysis.Views/3.4/Controls/DoubleLimitView.Designer.cs
===================================================================
--- branches/2839_HiveProjectManagement/HeuristicLab.Problems.DataAnalysis.Views/3.4/Controls/DoubleLimitView.Designer.cs	(revision 15761)
+++ branches/2839_HiveProjectManagement/HeuristicLab.Problems.DataAnalysis.Views/3.4/Controls/DoubleLimitView.Designer.cs	(revision 16057)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2839_HiveProjectManagement/HeuristicLab.Problems.DataAnalysis.Views/3.4/Controls/DoubleLimitView.cs
===================================================================
--- branches/2839_HiveProjectManagement/HeuristicLab.Problems.DataAnalysis.Views/3.4/Controls/DoubleLimitView.cs	(revision 15761)
+++ branches/2839_HiveProjectManagement/HeuristicLab.Problems.DataAnalysis.Views/3.4/Controls/DoubleLimitView.cs	(revision 16057)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2839_HiveProjectManagement/HeuristicLab.Problems.DataAnalysis.Views/3.4/Controls/FactorPartialDependencePlot.cs
===================================================================
--- branches/2839_HiveProjectManagement/HeuristicLab.Problems.DataAnalysis.Views/3.4/Controls/FactorPartialDependencePlot.cs	(revision 15761)
+++ branches/2839_HiveProjectManagement/HeuristicLab.Problems.DataAnalysis.Views/3.4/Controls/FactorPartialDependencePlot.cs	(revision 16057)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -143,11 +143,8 @@
       // Configure axis
       chart.CustomizeAllChartAreas();
-      chart.ChartAreas[0].CursorX.IsUserSelectionEnabled = true;
-      chart.ChartAreas[0].AxisX.ScaleView.Zoomable = true;
-      chart.ChartAreas[0].CursorX.Interval = 0;
-
-      chart.ChartAreas[0].CursorY.IsUserSelectionEnabled = true;
-      chart.ChartAreas[0].AxisY.ScaleView.Zoomable = true;
-      chart.ChartAreas[0].CursorY.Interval = 0;
+      chart.ChartAreas[0].CursorX.IsUserSelectionEnabled = false;
+      chart.ChartAreas[0].CursorY.IsUserSelectionEnabled = false;
+
+      chart.ChartAreas[0].Axes.ToList().ForEach(x => { x.ScaleView.Zoomable = false; });
 
       Disposed += Control_Disposed;
Index: branches/2839_HiveProjectManagement/HeuristicLab.Problems.DataAnalysis.Views/3.4/Controls/PartialDependencePlot.cs
===================================================================
--- branches/2839_HiveProjectManagement/HeuristicLab.Problems.DataAnalysis.Views/3.4/Controls/PartialDependencePlot.cs	(revision 15761)
+++ branches/2839_HiveProjectManagement/HeuristicLab.Problems.DataAnalysis.Views/3.4/Controls/PartialDependencePlot.cs	(revision 16057)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -215,11 +215,8 @@
       // Configure axis
       chart.CustomizeAllChartAreas();
-      chart.ChartAreas[0].CursorX.IsUserSelectionEnabled = true;
-      chart.ChartAreas[0].AxisX.ScaleView.Zoomable = true;
-      chart.ChartAreas[0].CursorX.Interval = 0;
-
-      chart.ChartAreas[0].CursorY.IsUserSelectionEnabled = true;
-      chart.ChartAreas[0].AxisY.ScaleView.Zoomable = true;
-      chart.ChartAreas[0].CursorY.Interval = 0;
+      chart.ChartAreas[0].CursorX.IsUserSelectionEnabled = false;
+      chart.ChartAreas[0].CursorY.IsUserSelectionEnabled = false;
+
+      chart.ChartAreas[0].Axes.ToList().ForEach(x => { x.ScaleView.Zoomable = false; });
 
       configToolStripMenuItem = new ToolStripMenuItem("Configuration");
@@ -351,6 +348,6 @@
 
     private void RecalculateTrainingLimits(bool initializeAxisRanges) {
-      trainingMin = solutions.Select(s => s.ProblemData.Dataset.GetDoubleValues(freeVariable, s.ProblemData.TrainingIndices).Min()).Max();
-      trainingMax = solutions.Select(s => s.ProblemData.Dataset.GetDoubleValues(freeVariable, s.ProblemData.TrainingIndices).Max()).Min();
+      trainingMin = solutions.Select(s => s.ProblemData.Dataset.GetDoubleValues(freeVariable, s.ProblemData.TrainingIndices).Where(x => !double.IsNaN(x)).Min()).Max();
+      trainingMax = solutions.Select(s => s.ProblemData.Dataset.GetDoubleValues(freeVariable, s.ProblemData.TrainingIndices).Where(x => !double.IsNaN(x)).Max()).Min();
 
       if (initializeAxisRanges) {
@@ -702,4 +699,5 @@
     private void config_Click(object sender, EventArgs e) {
       configurationDialog.ShowDialog(this);
+      OnZoomChanged(this, EventArgs.Empty);
     }
 
Index: branches/2839_HiveProjectManagement/HeuristicLab.Problems.DataAnalysis.Views/3.4/Controls/PartialDependencePlotConfigurationDialog.Designer.cs
===================================================================
--- branches/2839_HiveProjectManagement/HeuristicLab.Problems.DataAnalysis.Views/3.4/Controls/PartialDependencePlotConfigurationDialog.Designer.cs	(revision 15761)
+++ branches/2839_HiveProjectManagement/HeuristicLab.Problems.DataAnalysis.Views/3.4/Controls/PartialDependencePlotConfigurationDialog.Designer.cs	(revision 16057)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2839_HiveProjectManagement/HeuristicLab.Problems.DataAnalysis.Views/3.4/Controls/PartialDependencePlotConfigurationDialog.cs
===================================================================
--- branches/2839_HiveProjectManagement/HeuristicLab.Problems.DataAnalysis.Views/3.4/Controls/PartialDependencePlotConfigurationDialog.cs	(revision 15761)
+++ branches/2839_HiveProjectManagement/HeuristicLab.Problems.DataAnalysis.Views/3.4/Controls/PartialDependencePlotConfigurationDialog.cs	(revision 16057)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
